Visibility
A metric pivoted by two of brands, models, topics and countries.
apiKeyx-api-key<token>Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...
brandId*stringuuidengines?stringComma-separated engine slugs
length <= 500types?stringComma-separated prompt types
length <= 200intents?stringComma-separated prompt intents
length <= 200topics?stringComma-separated topic ids
length <= 2000countries?stringComma-separated ISO country codes, lowercase
length <= 1000from?stringAnswered on or after this UTC date; omit for all time
^\d{4}-\d{2}-\d{2}$to?stringAnswered on or before this UTC date; omit for today
^\d{4}-\d{2}-\d{2}$rows?string"brands""brands""models""topics""countries"cols?string"models""brands""models""topics""countries"metric?string"visibility""visibility""sentiment""position""voice"Row and column items with a value per cell
application/jsonrows*array<>cols*array<>cells*array<array<number|null>>Values by row then column; null without data
tracked*array<>curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/dashboard/heatmap'{ "rows": [ { "key": "string", "label": "string", "color": "string" } ], "cols": [ { "key": "string", "label": "string", "color": "string" } ], "cells": [ [ 0 ] ], "tracked": [ { "key": "string", "name": "string", "domain": "string", "logoUrl": "string", "isBrand": true } ]}curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/dashboard/heatmap'{
"rows": [
{
"key": "string",
"label": "string",
"color": "string"
}
],
"cols": [
{
"key": "string",
"label": "string",
"color": "string"
}
],
"cells": [
[
0
]
],
"tracked": [
{
"key": "string",
"name": "string",
"domain": "string",
"logoUrl": "string",
"isBrand": true
}
]
}